Bug 105687 - sysctl not reloaded after an `apmd --suspend`
sysctl not reloaded after an `apmd --suspend`
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: apmd (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-26 12:04 EDT by Avi Alkalay
Modified: 2014-03-16 22:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-02 17:56:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Avi Alkalay 2003-09-26 12:04:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.1; Linux)

Description of problem:
sysctl parameters (like net.ipv4.ip_forward = 1) are not reloaded after an apm --suspend

Version-Release number of selected component (if applicable):
apmd-3.0.2-18

How reproducible:
Always

Steps to Reproduce:
1. Set some parameters in /etc/sysctl.conf (like net.ipv4.ip_forward = 1)
2. Execute `apm --suspend` and wait for complete suspend
3. Unsuspend
4. Check sysctl environment with `/sbin/sysctl -a`
    

Actual Results:  /etc/sysctl.conf parameters are not reloaded

Expected Results:  /etc/sysctl.conf parameters to be reloaded

Additional info:

After an unsuspend I have to manually execute `sysctl -p`
Comment 1 Bill Nottingham 2005-02-02 17:56:42 EST
Closing out bugs on older unsupported releases. Apologies for any lack
of response. Please reopen if it persists on current releases such as
Fedora Core 3.

This should be handled by the network restarting.

Note You need to log in before you can comment on or make changes to this bug.